Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.impl
Class StrutsActionProxy

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxy
          org.apache.struts2.impl.StrutsActionProxy

All Implemented Interfaces:
  ActionProxy, Serializable

    public class StrutsActionProxy

extends DefaultActionProxy

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class com.opensymphony.xwork2.DefaultActionProxy
`actionEventListener, actionName, cleanupContext, config, configuration, executeResult, extraContext, invocation, method, namespace, objectFactory, unknownHandler`

Constructor Summary
`StrutsActionProxy(String namespace, String actionName, Map extraContext, boolean executeResult, boolean cleanupContext)`

Method Summary
`String` | `execute()` Execute this ActionProxy.

Methods inherited from class com.opensymphony.xwork2.DefaultActionProxy
`getAction, getActionName, getConfig, getExecuteResult, getInvocation, getMethod, getNamespace, prepare, setActionEventListener, setConfiguration, setExecuteResult, setMethod, setObjectFactory, setUnknownHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### StrutsActionProxy

    public StrutsActionProxy(String namespace,
                             String actionName,
                             Map extraContext,
                             boolean executeResult,
                             boolean cleanupContext)
                      throws Exception

Throws:
  `Exception`

Method Detail

### execute

    public String execute()
                   throws Exception

  Description copied from interface: `ActionProxy`
  Execute this ActionProxy. This will set the ActionContext from the ActionInvocation into the ActionContext ThreadLocal before invoking the ActionInvocation, then set the old ActionContext back into the ThreadLocal.

  Specified by:
    `execute` in interface `ActionProxy`
  Overrides:
    `execute` in class `DefaultActionProxy`
  Returns:
    the result code returned from executing the ActionInvocation
  Throws:
    `Exception`
  See Also:
    `ActionInvocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.